OccurrenceManagementService (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.client.rpc

## Interface OccurrenceManagementService

- All Superinterfaces:
    com.google.gwt.user.client.rpc.RemoteService
  All Known Implementing Classes:
    OccurrenceManagementServiceImpl

      @RemoteServiceRelativePath(value="occurrence")
      public interface OccurrenceManagementService
      extends com.google.gwt.user.client.rpc.RemoteService

  The client side stub for the RPC service.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteResourceById(String resourceId)`
    `List<JobOccurrencesModel>` | `getListOccurrencesSet(ElaborationType elaborationType, boolean onlyNotCompleted)`
    `List<Operator>` | `getListOperator()`
    `Boolean` | `saveSelectedOccurrencePoints(String resourceId, ElaborationType elaborationType, String destinationFolderId, String fileName)`
    `String` | `startComputation(Operator operator, String computationTitle, String computationDescription)`

- - ### Method Detail

    - #### getListOccurrencesSet

          List<JobOccurrencesModel> getListOccurrencesSet(ElaborationType elaborationType,
                                                        boolean onlyNotCompleted)
                                                          throws Exception

      Throws:
        `Exception`

    - #### getListOperator

          List<Operator> getListOperator()
                                         throws Exception

      Throws:
        `Exception`

    - #### startComputation

          String startComputation(Operator operator,
                                String computationTitle,
                                String computationDescription)
                                  throws Exception

      Throws:
        `Exception`

    - #### saveSelectedOccurrencePoints

          Boolean saveSelectedOccurrencePoints(String resourceId,
                                             ElaborationType elaborationType,
                                             String destinationFolderId,
                                             String fileName)
                                               throws Exception

      Throws:
        `Exception`

    - #### deleteResourceById

          void deleteResourceById(String resourceId)
                                  throws Exception

      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.